Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 470545 (emacs-wl) - Review Request: emacs-wl - Wanderlust, an advanced mail client for Emacs
Summary: Review Request: emacs-wl - Wanderlust, an advanced mail client for Emacs
Keywords:
Status: CLOSED NOTABUG
Alias: emacs-wl
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: emacs-semi
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2008-11-07 16:32 UTC by Vitaly Mayatskikh
Modified: 2012-06-29 17:08 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-29 17:08:07 UTC


Attachments (Terms of Use)

Description Vitaly Mayatskikh 2008-11-07 16:32:53 UTC
Spec URL: http://people.redhat.com/vmayatsk/wl/wl.spec
SRPM URL: http://people.redhat.com/vmayatsk/wl/wl-2.15.6-1.fc10.src.rpm
RPM URL: http://people.redhat.com/vmayatsk/wl/wl-2.15.6-1.fc10.noarch.rpm
Description:

Wanderlust is advanced mail client for Emacs. It supports IMAP4rev1, NNTP, POP(POP3[3]/APOP), MH and Maildir protocols. Package contains latest cvs snapshot and a bunch of patches from http://repo.or.cz/w/more-wl.git

This is my first package for Fedora.

Comment 2 Robin Green 2009-09-04 15:57:22 UTC
It pauses during the build and asks me to select a coding system (where UTF-8 is the default). It shouldn't do this - it should just use UTF-8.

Comment 3 Vitaly Mayatskikh 2009-09-18 07:20:50 UTC
Yeah, this appeared after Emacs was changed from version 22 to 23 in Fedora 11. I'm trying to fix the problem.

Comment 4 Vitaly Mayatskikh 2009-09-18 08:41:33 UTC
Packages were updated.

Comment 5 Jens Petersen 2009-10-22 05:22:50 UTC
The spec file should be named emacs-wl.spec.

Comment 7 Jonathan Underwood 2010-04-06 00:13:24 UTC
I started to review this by first doing a build in mock, however that fails:

+ cd /builddir/build/BUILD/wl-2.15.6
+ make LISPDIR=/builddir/build/BUILDROOT/emacs-wl-2.15.6-1.fc14.x86_64//usr/share/emacs/site-lisp PIXMAPDIR=/builddir/build/BUILDROOT/emacs-wl-2.15.6-1.fc14.x86_64//usr/share/pixmaps/wl
emacs -batch -q -no-site-file -l WL-MK -f compile-wl-package \
                /builddir/build/BUILDROOT/emacs-wl-2.15.6-1.fc14.x86_64//usr/share/emacs/site-lisp /builddir/build/BUILDROOT/emacs-wl-2.15.6-1.fc14.x86_64//usr/share/pixmaps/wl
Loading /builddir/build/BUILD/wl-2.15.6/WL-CFG...
Cannot open load file: install
make: *** [elc] Error 255
error: Bad exit status from /var/tmp/rpm-tmp.k61Uqr (%install)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.k61Uqr (%install)
Child returncode was: 1
EXCEPTION: Command failed. See logs for output.
 # ['bash', '--login', '-c', 'rpmbuild -bb --target x86_64 --nodeps builddir/build/SPECS/emacs-wl.spec']
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/mock/trace_decorator.py", line 70, in trace
    result = func(*args, **kw)

Comment 9 Jason Tibbitts 2012-06-29 17:08:07 UTC
It appears that this hasn't built in years, and all of the URLs are dead at this point, so I'm going to close this ticket out.


Note You need to log in before you can comment on or make changes to this bug.